"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = templateOcVersion;
const node_path_1 = __importDefault(require("node:path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const semver_1 = __importDefault(require("semver"));
const packageInfo = fs_extra_1.default.readJsonSync(node_path_1.default.join(__dirname, '..', '..', '..', '..', 'package.json'));
function templateOcVersion(minOcVersion) {
    if (semver_1.default.lt(packageInfo.version, minOcVersion)) {
        return {
            isValid: false,
            error: {
                registryVersion: packageInfo.version,
                minOcVersion,
                code: 'old_version'
            }
        };
    }
    return { isValid: true };
}
