"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = errorToString;
function hasMessage(obj) {
    return obj != null && typeof obj.msg === 'string';
}
function errorToString(err) {
    if (typeof err === 'string') {
        return err;
    }
    if (hasMessage(err)) {
        return err.msg;
    }
    return err + '';
}
