import { compileSync } from 'oc-client-browser';
import type { Config } from '../../types';
type CompileOptions = Omit<Exclude<Parameters<typeof compileSync>[0], undefined>, 'templates'>;
export interface RegistryOptions<T = any> extends Partial<Omit<Config<T>, 'beforePublish'>> {
    baseUrl: string;
    /**
     * Set the options for the oc-client-browser
     * Set it to false to disable the compilation of the client
     * @default true
     */
    compileClient?: boolean | CompileOptions;
}
export default function optionsSanitiser(input: RegistryOptions): Config;
export {};
