"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = discoveryHandler;
function discoveryHandler(req, res, next) {
    res.conf.discoveryFunc =
        res.conf.discoveryFunc ||
            (typeof res.conf.discovery === 'function' ? res.conf.discovery : undefined);
    if (res.conf.discoveryFunc) {
        res.conf.discovery = res.conf.discoveryFunc({
            host: req.headers.host,
            secure: req.secure
        });
    }
    next();
}
