"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = dateStringify;
function padTwoDigits(data) {
    return String(data).padStart(2, '0');
}
function dateStringify(date) {
    if (date instanceof Date) {
        return (date.getFullYear() +
            '/' +
            padTwoDigits(date.getMonth() + 1) +
            '/' +
            padTwoDigits(date.getDate()) +
            ' ' +
            padTwoDigits(date.getHours()) +
            ':' +
            padTwoDigits(date.getMinutes()) +
            ':' +
            padTwoDigits(date.getSeconds()));
    }
    return '';
}
